<template>
	<div class="backdrop" @click.self="closeModal">
		<div class="modal">
			<div class="header">
				<slot name="header"></slot>
			</div>
			<div class="body">
				<slot name="body"></slot>
			</div>
			<div>
				<slot name="buttons"></slot>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: "Modal",
	methods: {
		closeModal() {
			this.$emit("close");
		},
	},
};
</script>

<style>
.backdrop {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(34, 34, 34, 0.666);
}
.modal {
	border-radius: 10px;
	margin: 20px auto;
	padding: 10px 10px 20px 10px;
	box-sizing: border-box;
	width: 300px;
	height: 200px;
	background-color: white;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
.header {
	padding: 5px;
	border-bottom: 1px solid #ddd;
}
button {
	align-self: flex-end;
}
</style>
